# Class FunctionBoolGenotype

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.function.Function
org.snpsift.lang.function.FunctionBoolGenotype

Direct Known Subclasses:
  `IsHet, IsHom, IsRef, IsVariant`

public abstract class FunctionBoolGenotype extends Function
A function that returns a bool type (i.e. true or false). The function is evaluated on a genotype

Author:
  pablocingolani

## Field Summary

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`FunctionBoolGenotype(String functionName, Expression exprIdx)`

## Method Summary

Modifier and Type
Method
Description
`protected org.snpeff.vcf.VcfGenotype`
`evalGenotype(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate index expression and obtein genotype
`String`
`toString()`

### Methods inherited from class Expression

`eval, eval, setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FunctionBoolGenotype

public FunctionBoolGenotype(String functionName, Expression exprIdx)

## Method Details

### evalGenotype

protected org.snpeff.vcf.VcfGenotype evalGenotype(org.snpeff.vcf.VcfEntry vcfEntry)
Evaluate index expression and obtein genotype

### toString

public String toString()

Overrides:
  `toString` in class `Function`